## qwebdavlib 1.0.0

=== qwebdavlib/CMakeLists.txt ===
# Generated from qwebdavlib.pro.

#####################################################################
## qwebdav Generic Library:
#####################################################################

qt_internal_add_cmake_library(qwebdav
    SOURCES
        qnaturalsort.cpp qnaturalsort.h
        qwebdav.cpp qwebdav.h
        qwebdav_global.h
        qwebdavdirparser.cpp qwebdavdirparser.h
        qwebdavitem.cpp qwebdavitem.h
    DEFINES
        QWEBDAVITEM_EXTENDED_PROPERTIES
        QWEBDAV_LIBRARY
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
        Qt::Xml
    COMPILE_OPTIONS
        -Wno-overloaded-virtual
)

#### Keys ignored in scope 1:.:.:qwebdavlib.pro:<TRUE>:
# INSTALLS = "target"
# OTHER_FILES = "CHANGES" "LICENSE" "README"
# TEMPLATE = "lib"

## Scopes:
#####################################################################

qt_internal_extend_target(qwebdav CONDITION CMAKE_BUILD_TYPE STREQUAL Release
    DEFINES
        QT_NO_DEBUG_OUTPUT
)

#### Keys ignored in scope 2:.:.:qwebdavlib.pro:(CMAKE_BUILD_TYPE STREQUAL Release):
# QMAKE_POST_LINK = "$(STRIP)" "$(TARGET)"

=== debian/changelog ===
qwebdavlib (1.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1087505).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Nov 2024 14:48:45 +0100

=== debian/control ===
Source: qwebdavlib
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               pkgconf,
               qmake6,
               qt5-qmake,
               qt6-base-dev,
               qtbase5-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/fredldotme/qwebdavlib
Vcs-Browser: https://salsa.debian.org/ubports-team/qwebdavlib
Vcs-Git: https://salsa.debian.org/ubports-team/qwebdavlib.git

Package: libqwebdav-qt6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QWebDAV Library (Qt6 variant)
 QWebDAV is a Qt library that provides access to WebDAV servers.
 .
 This package contains the Qt6 version of the library.

Package: libqwebdav-qt5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QWebDAV Library (Qt5 variant)
 QWebDAV is a Qt library that provides access to WebDAV servers.
 .
 This package contains the Qt5 version of the library.

Package: libqwebdav-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqwebdav-qt6-1 (= ${binary:Version}),
         ${misc:Depends},
Description: QWebDAV Library development files (Qt6 variant)
 QWebDAV is a Qt library that provides access to WebDAV servers.
 .
 This package contains development files necessary to develop Qt6
 applications using the QWebDAV library.

Package: libqwebdav-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqwebdav-qt5-1 (= ${binary:Version}),
         ${misc:Depends},
Description: QWebDAV Library development files (Qt5 variant)
 QWebDAV is a Qt library that provides access to WebDAV servers.
 .
 This package contains development files necessary to develop Qt5
 applications using the QWebDAV library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=qmake -- CONFIG+=example LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) HEADERDIR=/usr/include ..
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=qmake6 -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) HEADERDIR=/usr/include ..

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5 --buildsystem=qmake
	dh_auto_build --builddirectory=build-qt6 --buildsystem=qmake6

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt6

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt5
	dh_auto_clean --builddirectory=build-qt6


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://github.com/fredldotme/qwebdavlib/tags .*/(\d.*)@ARCHIVE_EXT@
